For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update token

Update token properties, for example:

  • change status to 'enabled' or 'disabled'

  • change expiry date

patch
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
tokenIdstring · uuidRequired

The unique ID of the token

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Body
expiryDatestring · date-time · nullableOptional
statusstring · enumOptionalPossible values:
Responses
200

OK

application/json
hrefstringOptional
idstring · uuidOptional
typestringOptional
patch/registries/{registryId}/tokens/{tokenId}
PATCH /containerregistries/registries/{registryId}/tokens/{tokenId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 139

{
  "expiryDate": "2026-01-01T00:00:00.000Z",
  "scopes": [
    {
      "actions": [
        "pull",
        "push",
        "delete"
      ],
      "name": "*",
      "type": "repository"
    }
  ],
  "status": "enabled"
}
{
  "href": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "metadata": {
    "createdBy": "text",
    "createdByUserId": "text",
    "createdDate": "2026-01-01T00:00:00.000Z",
    "lastModifiedBy": "text",
    "lastModifiedByUserId": "text",
    "lastModifiedDate": "2026-01-01T00:00:00.000Z",
    "state": "text"
  },
  "properties": {
    "credentials": {
      "password": "",
      "username": "push-token"
    },
    "expiryDate": "2026-01-01T00:00:00.000Z",
    "name": "push-token",
    "scopes": [
      {
        "actions": [
          "pull",
          "push",
          "delete"
        ],
        "name": "*",
        "type": "repository"
      }
    ],
    "status": "enabled"
  },
  "type": "text"
}

Last updated

Was this helpful?